#include "plugin.h"

Plugin::Plugin(Manifest* manifest)
{
	// Set the various plugin properties from the supplied manifest file..
	Version = manifest->Version;
	Name = manifest->Name;
	Description = manifest->Description;

	Init = manifest->Init;
	Render = manifest->Render;
	Quit = manifest->Quit;

	Properties = manifest->Properties;
}

Plugin::Plugin() { }
Plugin::~Plugin() { }